package net
{
	import flash.display.BitmapData;
	import flash.events.Event;
	import flash.net.FileReference;
	
	import mx.controls.Alert;
	import mx.graphics.codec.JPEGEncoder;
	
	/**
	 * Class for saving a bitmapData from flash player to jpg-file on local computer.
	 * 
	 * Usage:
	 * new JpgFormatExporter(bitmapData, "defaultFileName.jpg");
	 * 
	 * see superclass PngFormatExporter for more information
	 * 
	 */ 
	public class JpgFormatExporter extends PngFormatExporter
	{
		
	
		public function JpgFormatExporter(
			bmd:BitmapData, 
			defaultFileName:String=null, 
			completed:Function=null, 
			canceled:Function=null)
		{
			super(bmd, defaultFileName, completed, canceled);	
		}
		
		//	the only difference to superclass:
		protected override function get encoder():* {
			return new JPEGEncoder();
		}
		
		
		
	}
}